mutation createAttireOption(
  $itemId: String!
  $label: String!
  $icon: String
  $imageUrl: String
  $isMandatory: Boolean
  $vendorId: UUID
) @auth(level: USER) {
  attireOption_insert(
    data: {
      itemId: $itemId
      label: $label
      icon: $icon
      imageUrl: $imageUrl
      isMandatory: $isMandatory
      vendorId: $vendorId
    }
  ) 
}

mutation updateAttireOption(
  $id: UUID!
  $itemId: String
  $label: String
  $icon: String
  $imageUrl: String
  $isMandatory: Boolean
  $vendorId: UUID
) @auth(level: USER) {
  attireOption_update(
    id: $id
    data: {
      itemId: $itemId
      label: $label
      icon: $icon
      imageUrl: $imageUrl
      isMandatory: $isMandatory
      vendorId: $vendorId
    }
  ) 
}

mutation deleteAttireOption($id: UUID!) @auth(level: USER) {
  attireOption_delete(id: $id) 
}
